Package org.drinkless.tdlib

# Class TdApi.GetKeywordEmojis

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Emojis>
org.drinkless.tdlib.TdApi.GetKeywordEmojis

Enclosing class:
  `TdApi`

public static class TdApi.GetKeywordEmojis extends TdApi.Function<TdApi.Emojis>
Returns emojis matching the keyword. Supported only if the file database is enabled. Order of results is unspecified.

Returns `Emojis`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String[]`
  `inputLanguageCodes`
  List of possible IETF language tags of the user's input language; may be empty if unknown.
  `String`
  `text`
  Text to search for.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetKeywordEmojis()`
  Default constructor for a function, which returns emojis matching the keyword.
  `GetKeywordEmojis(String text, String[] inputLanguageCodes)`
  Creates a function, which returns emojis matching the keyword.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public String text
    Text to search for.

  - ### inputLanguageCodes

    public String[] inputLanguageCodes
    List of possible IETF language tags of the user's input language; may be empty if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetKeywordEmojis

    public GetKeywordEmojis()
    Default constructor for a function, which returns emojis matching the keyword. Supported only if the file database is enabled. Order of results is unspecified.

    Returns `Emojis`

  - ### GetKeywordEmojis

    public GetKeywordEmojis(String text, String[] inputLanguageCodes)
    Creates a function, which returns emojis matching the keyword. Supported only if the file database is enabled. Order of results is unspecified.

    Returns `Emojis`

    Parameters:
      `text` - Text to search for.
      `inputLanguageCodes` - List of possible IETF language tags of the user's input language; may be empty if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Emojis>`
    Returns:
      this.CONSTRUCTOR